Page MenuHomePhabricator

AbuseFilter adds spaces before "added_lines", causing many false positives
Closed, ResolvedPublic

Description

Since a few days ago (probably¹ 1.26wmf6?), added_lines starts with a white space which is not present in the new wikitext of the page.

For example, on
https://pt.wikipedia.org/wiki/Special:AbuseLog/2162775?uselang=en
mw.config.get('wgAbuseFilterVariables')['added_lines'][0][0] === " "
returns true (in the JS console), but I didn't add any space before the "#" when I attempted to make that edit. Compare the values of new_wikitext and added_lines.

Due to this regression, filters such as
https://pt.wikipedia.org/wiki/Special:AbuseFilter/59?uselang=en
started to have many false positives, warning users incorrectly.

There might be others filters broken out there, whose maintainers simply didn't notice (yet).

Notes
¹ This seems to be the first log with the problem on Portuguese Wikipedia:
https://pt.wikipedia.org/wiki/Special:AbuseLog/2156439?uselang=en

See also

Event Timeline

He7d3r created this task.May 25 2015, 2:27 AM
He7d3r raised the priority of this task from to Unbreak Now!.
He7d3r updated the task description. (Show Details)
He7d3r added subscribers: He7d3r, Jbribeiro1.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2015, 2:27 AM
He7d3r updated the task description. (Show Details)May 25 2015, 2:33 AM
He7d3r set Security to None.
He7d3r updated the task description. (Show Details)May 25 2015, 2:43 AM
He7d3r added a project: MW-1.26-release.
He7d3r updated the task description. (Show Details)May 25 2015, 2:49 AM
He7d3r updated the task description. (Show Details)May 25 2015, 3:00 AM

This task has had "Unbreak now!" priority for three weeks. The definition of "Unbreak now" is "to be fixed immediately".

Please help finding an assignee or potentially correct the priority value of this task. Thank you!

The assignee should be the one who broke this (i.e. the patch should be reverted). But I have no idea who did it...

Aklapper added a subscriber: aaron.Jun 15 2015, 4:44 PM

@aaron: Any idea here?

aaron added a comment.Jun 15 2015, 4:53 PM

I thought Ori fixed this already?

Aklapper added a subscriber: ori.Jul 23 2015, 1:12 PM

I thought Ori fixed this already?

@ori: Do you know?

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 23 2015, 1:12 PM
aaron closed this task as Resolved.Jul 23 2015, 3:55 PM
aaron claimed this task.